#include <stdio.h>
#include <stdlib.h>

int main()
{
    int end=-1,i,N,L;
    scanf("%i %i",&N,&L);
    int H[N+1];
    for(i = 1 ; i < N+1 ; i++)
    {
        scanf("%i",&H[i]);
    }
    i = 1;
    while(end == -1 && i < N+1)
    {
        if(H[i] <= L)
        {
            end=i;
        }
        i++;
    }
    printf("%i",end);
}